package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.BulkUpdateFindingState(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.BulkUpdateFindingStateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.bulkUpdateFindingState();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/findings/bulk/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acceptRisk": {
"expiresAt": "2023-11-07T05:31:56Z",
"justification": "<string>"
},
"assignOwner": {
"owner": {
"appOwnerAppId": "<string>",
"identityUserId": "<string>",
"managerOfUserId": "<string>",
"userSetId": "<string>"
}
},
"refs": [
{
"id": "<string>"
}
],
"reopen": {},
"searchRequest": {
"appIds": [
"<string>"
],
"appUserIds": [
"<string>"
],
"decoyIds": [
"<string>"
],
"findingTypes": [],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"severities": [],
"states": []
},
"snooze": {
"reason": "<string>",
"snoozeUntil": "2023-11-07T05:31:56Z"
},
"suppress": {
"reason": "<string>"
},
"unsuppress": {}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/findings/bulk/state"
payload = {
"acceptRisk": {
"expiresAt": "2023-11-07T05:31:56Z",
"justification": "<string>"
},
"assignOwner": { "owner": {
"appOwnerAppId": "<string>",
"identityUserId": "<string>",
"managerOfUserId": "<string>",
"userSetId": "<string>"
} },
"refs": [{ "id": "<string>" }],
"reopen": {},
"searchRequest": {
"appIds": ["<string>"],
"appUserIds": ["<string>"],
"decoyIds": ["<string>"],
"findingTypes": [],
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"severities": [],
"states": []
},
"snooze": {
"reason": "<string>",
"snoozeUntil": "2023-11-07T05:31:56Z"
},
"suppress": { "reason": "<string>" },
"unsuppress": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
acceptRisk: {expiresAt: '2023-11-07T05:31:56Z', justification: '<string>'},
assignOwner: {
owner: {
appOwnerAppId: '<string>',
identityUserId: '<string>',
managerOfUserId: '<string>',
userSetId: '<string>'
}
},
refs: [{id: '<string>'}],
reopen: {},
searchRequest: {
appIds: ['<string>'],
appUserIds: ['<string>'],
decoyIds: ['<string>'],
findingTypes: [],
pageSize: 123,
pageToken: '<string>',
query: '<string>',
severities: [],
states: []
},
snooze: {reason: '<string>', snoozeUntil: '2023-11-07T05:31:56Z'},
suppress: {reason: '<string>'},
unsuppress: {}
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/findings/bulk/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bulkActionId": "<string>"
}Bulk Update Finding State
Bulk update finding states.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Finding.BulkUpdateFindingState(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.BulkUpdateFindingStateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.finding.bulkUpdateFindingState();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The BulkUpdateFindingStateRequest message.
This message contains a oneof named action. Only a single field of the following list may be set at a time:
- snooze
- suppress
- acceptRisk
- unsuppress
- assignOwner
- reopen
The BulkAcceptRiskAction message.
Show child attributes
Show child attributes
The BulkAssignOwnerAction message.
Show child attributes
Show child attributes
By-ID mode: specify individual finding refs.
Show child attributes
Show child attributes
The BulkReopenAction message.
The FindingSearchRequest message.
Show child attributes
Show child attributes
The BulkSnoozeAction message.
Show child attributes
Show child attributes
The BulkSuppressAction message.
Show child attributes
Show child attributes
The BulkUnsuppressAction message.
Response
Successful response
The BulkUpdateFindingStateResponse message.
The ID of the asynchronous bulk action, which can be used to track progress.
Was this page helpful?